Package org.eclipse.microprofile.openapi.tck

# Class OASFactoryErrorTest.MyAbstractLicenseImpl

java.lang.Object
org.eclipse.microprofile.openapi.tck.OASFactoryErrorTest.MyAbstractLicenseImpl

All Implemented Interfaces:
  `Constructible`, `Extensible<License>`, `License`

Enclosing class:
  OASFactoryErrorTest

public abstract class OASFactoryErrorTest.MyAbstractLicenseImpl extends Object implements License

## Constructor Summary

Constructors
Constructor
Description
`MyAbstractLicenseImpl()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

### Methods inherited from interface org.eclipse.microprofile.openapi.models.info.License

`getIdentifier, getName, getUrl, identifier, name, setIdentifier, setName, setUrl, url`

## Constructor Details

### MyAbstractLicenseImpl

public MyAbstractLicenseImpl()